import axios from '@/utils/axios'

export interface UserEntity {
  id: string
  email: string
  username: string | null
  password: string
  /** @format date-time */
  createdAt: string
  /** @format date-time */
  updatedAt: string
}

export async function getUserInfo() {
  return axios.get<UserEntity>('/api/users/me')
}
